Skip to main content
GET
/
manifests
cURL
curl https://api.goshippo.com/manifests/ \
-H "Authorization: ShippoToken <API_TOKEN>"
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "carrier_account": "adcfdddf8ec64b84ad22772bce3ea37a",
      "shipment_date": "2014-05-16T23:59:59Z",
      "address_from": "d799c2679e644279b59fe661ac8fa488",
      "documents": [
        "https://shippo-delivery.s3.amazonaws.com/0fadebf6f60c4aca95fa01bcc59c79ae.pdf?Signature=tlQU3RECwdHUQJQadwqg5bAzGFQ%3D&Expires=1402803835&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA"
      ],
      "object_created": "2023-11-07T05:31:56Z",
      "object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
      "object_owner": "shippotle@shippo.com",
      "object_updated": "2023-11-07T05:31:56Z",
      "status": "SUCCESS",
      "transactions": [
        "adcfdddf8ec64b84ad22772bce3ea37a"
      ],
      "errors": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:5

The number of results to return per page (max 100, default 5)

Required range: x <= 100

Response

Paginated list of manifests

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
object[]